com.mxgraph.layout.hierarchical.model

## Class mxGraphHierarchyEdge

- java.lang.Object
- - com.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell
  - - com.mxgraph.layout.hierarchical.model.mxGraphHierarchyEdge

-     public class mxGraphHierarchyEdge
      extends mxGraphAbstractHierarchyCell

  An abstraction of a hierarchical edge for the hierarchy layout

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `edges` The graph edge(s) this object represents.
    `protected boolean` | `isReversed` Whether or not the direction of this edge has been reversed internally to create a DAG for the hierarchical layout
    `mxGraphHierarchyNode` | `source` The node this edge is sourced at
    `mxGraphHierarchyNode` | `target` The node this edge targets

    - ### Fields inherited from class com.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell

      `height, maxRank, minRank, nextLayerConnectedCells, previousLayerConnectedCells, temp, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxGraphHierarchyEdge(java.util.List<java.lang.Object> edges)` Constructs a hierarchy edge

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGeneralPurposeVariable(int layer)` Gets the value of temp for the specified layer
    `java.util.List<mxGraphAbstractHierarchyCell>` | `getNextLayerConnectedCells(int layer)` Returns the cells this cell connects to on the next layer up
    `java.util.List<mxGraphAbstractHierarchyCell>` | `getPreviousLayerConnectedCells(int layer)` Returns the cells this cell connects to on the next layer down
    `void` | `invert()` Inverts the direction of this internal edge(s)
    `boolean` | `isEdge()`
    `boolean` | `isReversed()`
    `boolean` | `isVertex()`
    `void` | `setGeneralPurposeVariable(int layer, int value)` Set the value of temp for the specified layer
    `void` | `setReversed(boolean isReversed)`

    - ### Methods inherited from class com.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell

      `getX, setX, setY`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edges

          public java.util.List<java.lang.Object> edges

      The graph edge(s) this object represents. Parallel edges are all grouped together within one hierarchy edge.

    - #### source

          public mxGraphHierarchyNode source

      The node this edge is sourced at

    - #### target

          public mxGraphHierarchyNode target

      The node this edge targets

    - #### isReversed

          protected boolean isReversed

      Whether or not the direction of this edge has been reversed internally to create a DAG for the hierarchical layout

  - ### Constructor Detail

    - #### mxGraphHierarchyEdge

          public mxGraphHierarchyEdge(java.util.List<java.lang.Object> edges)

      Constructs a hierarchy edge
      Parameters:
        `edges` - a list of real graph edges this abstraction represents

  - ### Method Detail

    - #### invert

          public void invert()

      Inverts the direction of this internal edge(s)

    - #### isReversed

          public boolean isReversed()

      Returns:
        Returns the isReversed.

    - #### setReversed

          public void setReversed(boolean isReversed)

      Parameters:
        `isReversed` - The isReversed to set.

    - #### getNextLayerConnectedCells

          public java.util.List<mxGraphAbstractHierarchyCell> getNextLayerConnectedCells(int layer)

      Returns the cells this cell connects to on the next layer up
      Specified by:
        `getNextLayerConnectedCells` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer this cell is on
      Returns:
        the cells this cell connects to on the next layer up

    - #### getPreviousLayerConnectedCells

          public java.util.List<mxGraphAbstractHierarchyCell> getPreviousLayerConnectedCells(int layer)

      Returns the cells this cell connects to on the next layer down
      Specified by:
        `getPreviousLayerConnectedCells` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer this cell is on
      Returns:
        the cells this cell connects to on the next layer down

    - #### isEdge

          public boolean isEdge()

      Specified by:
        `isEdge` in class `mxGraphAbstractHierarchyCell`
      Returns:
        whether or not this cell is an edge

    - #### isVertex

          public boolean isVertex()

      Specified by:
        `isVertex` in class `mxGraphAbstractHierarchyCell`
      Returns:
        whether or not this cell is a node

    - #### getGeneralPurposeVariable

          public int getGeneralPurposeVariable(int layer)

      Gets the value of temp for the specified layer
      Specified by:
        `getGeneralPurposeVariable` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer relating to a specific entry into temp
      Returns:
        the value for that layer

    - #### setGeneralPurposeVariable

          public void setGeneralPurposeVariable(int layer,
                                       int value)

      Set the value of temp for the specified layer
      Specified by:
        `setGeneralPurposeVariable` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer relating to a specific entry into temp
        `value` - the value for that layer

Copyright (c) 2010 Gaudenz Alder. All rights reserved.